package com.yihu.jw.entity.iot.copdDevice;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2021/4/14.
 * 华米医疗设备心率
 */
@Entity
@Table(name="wlyy_copd_huami_heart")
public class WlyyCopdHuamiHeartDO extends UuidIdentityEntity {
    private String  deviceSn;  //设备sn码
    private String  date;   //数据的本地生成日期，格式为yyyy-MM-dd
    private String  minute; //在当日中的分钟序号（0-1439）
    private String  lastSyncTime; //数据上传到华米后端的时间戳，仅在类型为AUTO时提供
    private String  timestamp;  //心率数据的生成时间戳
    private String  heartRateData;    //测量类型为MANUAL时为心率，测量类型为AUTO时则为该分钟时的平均心率。如果该分钟内未佩戴设备或者未测量心率，则心率为0
    private String  measureType;   //测量类型：AUTO、MANUAL

    @Column(name="device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name="date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @Column(name="minute")
    public String getMinute() {
        return minute;
    }

    public void setMinute(String minute) {
        this.minute = minute;
    }

    @Column(name="last_sync_time")
    public String getLastSyncTime() {
        return lastSyncTime;
    }

    public void setLastSyncTime(String lastSyncTime) {
        this.lastSyncTime = lastSyncTime;
    }

    @Column(name="timestamp")
    public String getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    @Column(name="heart_rate_data")
    public String getHeartRateData() {
        return heartRateData;
    }

    public void setHeartRateData(String heartRateData) {
        this.heartRateData = heartRateData;
    }

    @Column(name="measure_type")
    public String getMeasureType() {
        return measureType;
    }

    public void setMeasureType(String measureType) {
        this.measureType = measureType;
    }
}
